--:SetVar Function "AUX:ToRomanNumber"
if exists( select * from [sysobjects] (nolock) where [type] in ('FN','TF') and [name]=N'AUX:ToRomanNumber' )
   drop function [AUX:ToRomanNumber]
GO
/* Translated by $SQLTRANS utility (SQL-file technology). Method author: Sergei Y.Kitáev.
** Script translation date-time: 2022-11-27 00:29:27.24 (stamp of SQL-file generation). */
create function [AUX:ToRomanNumber]( @Number int )
returns varchar(8)
BEGIN
/*==================================================================================================
# SQLAUX scripting library | Author: Sergei Y.Kitáev
----------------------------------------------------------------------------------------------------
#
# CONVERSION TO ROMAN NUMBER INSCRIPTION (WORKING VALUES: 1..100):
#
# === Usage: ===
# dbo.[AUX:ToRomanNumber]( <Number> )
#
==================================================================================================*/

return dbo.[AUX:ToRomanNumber.Ext]( @Number, 1 )

/*================================================================================================*/
END
GO
/*
select dbo.[AUX:ToRomanNumber]( 0 ) 'Roman number inscription for 0'
select dbo.[AUX:ToRomanNumber]( 4 ) 'Roman number inscription for 4'
select dbo.[AUX:ToRomanNumber]( 15 ) 'Roman number inscription for 15'
select dbo.[AUX:ToRomanNumber]( 100 ) 'Roman number inscription for 100'
select dbo.[AUX:ToRomanNumber]( 101 ) 'Roman number inscription for 101'
*/
